pro preset_wave_offset_pix,dir=dir

; set default wave_offset_pix info, according to the choices of chip/grism

  if !IRC_SPECRED_OBSPARAM.slit_mode then begin
     if !IRC_SPECRED_PROCESSOPTION.warm_mode EQ 0 then $
        !IRC_SPECRED_SPECPARAM.wave_offset_pix=0. $
     else begin
        if !IRC_SPECRED_PROCESSTARGET.grism EQ 0 then $
           !IRC_SPECRED_SPECPARAM.wave_offset_pix=-1.4 $ ; NP slit offset, good for both Nh and Ns
        else $
           !IRC_SPECRED_SPECPARAM.wave_offset_pix=-1.0 ; NG slit offset, good for both Nh and Ns
     endelse
     print,!IRC_SPECRED_SPECPARAM.wave_offset_pix
  
;    logger->append,['wave_offset_pix preset: 0']
     return
  endif
  
  if ~ keyword_set(dir) then dir='./'
  
  case !IRC_SPECRED_PROCESSTARGET.chip of
     0: begin
        if !IRC_SPECRED_PROCESSOPTION.shift_from_file EQ 1B then begin
           if NP() then $
              read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NP_SPECBOX_SHIFT_Y.dat' $
           else $
              read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NG_SPECBOX_SHIFT_Y.dat'
           
           !IRC_SPECRED_SPECPARAM.wave_offset_pix=wave_offset_pix_tmp
        endif else begin
           !IRC_SPECRED_SPECPARAM.wave_offset_pix=0.
        endelse
     end
     1: begin
        case !IRC_SPECRED_PROCESSTARGET.grism of
           0: begin
              if !IRC_SPECRED_OBSPARAM.AOT NE '04B' then begin
                 read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NP_SPECBOX_SHIFT_Y.dat'
              endif else begin
                 read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NG_SPECBOX_SHIFT_Y.dat'
              endelse
              !IRC_SPECRED_SPECPARAM.wave_offset_pix=wave_offset_pix_tmp* $ ;convert pix scale
                                                     !IRC_SPECRED_CHIPINFO.pixscale_nir_y/ $
                                                     !IRC_SPECRED_CHIPINFO.pixscale_mirs_y
           end
           1: begin
              if !IRC_SPECRED_OBSPARAM.AOT EQ '04C' || !IRC_SPECRED_OBSPARAM.AOT EQ '04B' then $
                 read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NG_SPECBOX_SHIFT_Y.dat' $
              else $
                 read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NP_SPECBOX_SHIFT_Y.dat'
              !IRC_SPECRED_SPECPARAM.wave_offset_pix=wave_offset_pix_tmp* $ ;convert pix scale
                                                     !IRC_SPECRED_CHIPINFO.pixscale_nir_y/ $
                                                     !IRC_SPECRED_CHIPINFO.pixscale_mirs_y
           end
        endcase
     end
     2: begin
        if !IRC_SPECRED_OBSPARAM.AOT EQ '04C' || !IRC_SPECRED_OBSPARAM.AOT EQ '04A' then $
           read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NP_SPECBOX_SHIFT_Y.dat' $
        else $
           read_specbox_shift_y,wave_offset_pix_tmp,filename=dir+'/NG_SPECBOX_SHIFT_Y.dat'
        !IRC_SPECRED_SPECPARAM.wave_offset_pix=wave_offset_pix_tmp* $
                                               !IRC_SPECRED_CHIPINFO.pixscale_nir_y/ $
                                               !IRC_SPECRED_CHIPINFO.pixscale_mirl_y ;NOT negative!
     end
  endcase
  
end
